////////////////////////////////////////////////////////////////////////////
//
// nrColor.cpp
//
// A class for colors.
//
// Nate Robins, December 2001.
//
////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////
// Includes
////////////////////////////////////////////////////////////////////////////

#include "nrColor.h"


////////////////////////////////////////////////////////////////////////////
// Public
////////////////////////////////////////////////////////////////////////////

nrColor::nrColor( void )
{
}

////////////////////////////////////////////////////////////////////////////

nrColor::nrColor( float _r, float _g, float _b, float _a )
{
    r = _r;
    g = _g;
    b = _b;
    a = _a;
}

////////////////////////////////////////////////////////////////////////////

nrColor nrColor::Lerp( const nrColor& a, const nrColor& b, float t )
{
    nrColor c;
    
    c.r = ( a.r * ( 1.0f - t ) ) + ( b.r * t );
    c.g = ( a.g * ( 1.0f - t ) ) + ( b.g * t );
    c.b = ( a.b * ( 1.0f - t ) ) + ( b.b * t );
    c.a = ( a.a * ( 1.0f - t ) ) + ( b.a * t );
    
    return c;
}

////////////////////////////////////////////////////////////////////////////
