////////////////////////////////////////////////////////////////////////////
//
// nrMaterial.h
//
// A class for materials.
//
// Nate Robins, January 2002.
//
////////////////////////////////////////////////////////////////////////////

#ifndef NRMATERIAL_H
#define NRMATERIAL_H


////////////////////////////////////////////////////////////////////////////
// Includes
////////////////////////////////////////////////////////////////////////////

#include "nrColor.h"


////////////////////////////////////////////////////////////////////////////
// Classes
////////////////////////////////////////////////////////////////////////////

class nrParser;

////////////////////////////////////////////////////////////////////////////

class nrMaterial
{
public:
    
    nrMaterial( const nrColor& ambient = nrColor( 0, 0, 0 ), const nrColor& diffuse = nrColor( 1, 1, 1 ), const nrColor& specular = nrColor( 0, 0, 0 ) );
    ~nrMaterial( void );
    
    // Return a new material parsed from a file.  The material directive has the
    // following form:
    // 
    // material ("name") 
    // {
    //   ambient < r g b >
    //   diffuse < r g b >
    //   specular < r g b >
    // }
    // 
    // elements in ()'s are optional.
    static nrMaterial* Parse( nrParser& parser );
    
public:
    
    nrColor m_Ambient;
    nrColor m_Diffuse;
    nrColor m_Specular;
};

////////////////////////////////////////////////////////////////////////////

#endif  // NRMATERIAL_H
