////////////////////////////////////////////////////////////////////////////
//
// nrModelLoader.cpp
//
// Nate Robins, November 2001.
//
// Model file loader.
//
////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////
// Includes
////////////////////////////////////////////////////////////////////////////

#include "nrModelLoader.h"

#include "nrModel.h"
#include "nrModelLoaderOBJ.h"


////////////////////////////////////////////////////////////////////////////
// Implementation
////////////////////////////////////////////////////////////////////////////

nrModel* nrModelLoader::NewFromFile( const char* file_name, int type )
{
    nrModel* model = NULL;
    
    fprintf( stderr, "Loading file \"%s\".\n", file_name );
    
    switch ( type )
    {
    case OBJ:
        model = nrModelLoaderOBJ::NewFromFile( file_name );
        break;
        
    default:
        fprintf( stderr, "nrModelLoader::NewFromFile(): Unrecognized model type.\n" );
        break;
    }
    
    if ( model )
    {
        return model;
    }
    else
    {
        fprintf( stderr, "Load failed.\n" );
        return NULL;
    }
}

////////////////////////////////////////////////////////////////////////////
