////////////////////////////////////////////////////////////////////////////
//
// raynOptions.h
//
// Class for options for Nate's Ray Tracer.
//
// Nate Robins, January 2002
//
////////////////////////////////////////////////////////////////////////////

#ifndef RAYNOPTIONS_H
#define RAYNOPTIONS_H


////////////////////////////////////////////////////////////////////////////
// Includes
////////////////////////////////////////////////////////////////////////////

#include "nrPixel.h"

////////////////////////////////////////////////////////////////////////////

class raynOptions
{
public:
    
    raynOptions( void );
    ~raynOptions( void );
    
    // Parse the command line.  Returns true if successful, false otherwise.
    bool Parse( int argc, const char** argv );

private:

    // Display usage information.
    void Usage( const char* program_name );

public:
    
    int width;
    int height;
    char* scene;
    char* output;
    bool shadows;
    bool bvh;
};

////////////////////////////////////////////////////////////////////////////

#endif // RAYNOPTIONS_H
